curl --request GET \
--url https://devx.{environment}.oleria.io/v1/user-groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/user-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/user-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applicationGroupType": "EmailDistributionList",
"id": "team:T_kgDOLL0doQ (GitHub), 37d284db-1d76-4587-aa78-5a33cfcc021f:member (SharePoint)",
"name": "AI Maintainers",
"objectMetadata": {
"ApplicationInstanceId": "<string>",
"GeneratedTime": "2023-11-07T05:31:56Z",
"Profile": "Account",
"ObjectOrRelationshipType": "<string>"
},
"type": "Custom",
"globalId": "<string>",
"oleriaObjectMetadata": {
"enrichmentVersion": "<string>",
"generatedTime": "2023-11-07T05:31:56Z"
},
"authenticationRequirements": {
"isMFAAuthority": true,
"isSSOBasedMFARequired": false,
"authenticationKeys": [
"XD+NWux+oeqdAa1eUPtNC06g/HtrzM6AbNiZU2MhHSM="
],
"adaptiveAuthenticationMethodSelectionPolicy": [
{
"policy": {
"accountConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"assignedApplicationConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"excludedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"includedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"riskLevel": "Critical"
}
],
"authenticationMethodSelectionPolicy": {
"accountConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"assignedApplicationConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"excludedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"includedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"availableAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"enforcedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"passwordPolicy": {
"expirationLengthInDays": 123,
"length": 123,
"reuseDisallowed": true,
"resetViaSelfServiceAllowed": true,
"characters": [
"AlphaUppercase"
],
"mfaRequirements": "Required",
"policyMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"secondaryFactorRequirements": "Required",
"ssoExclusions": [
"user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)"
]
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"createdBy": "user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)",
"createdByFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"createdDate": "2024-05-02T03:17:34.948Z",
"description": "AI Maintainers",
"directoryEntryFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"directoryEntryId": "<string>",
"directoryProviderFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"directoryProviderId": "<string>",
"email": "ai-maintainers@oleria.com",
"labels": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"lastModifiedBy": "user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)",
"lastModifiedByFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"lastModifiedDate": "2024-05-02T03:17:34.948Z",
"objectDirectoryContainerFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectDirectoryContainerId": "repo:R_kgDOLL0doQ (GitHub based on repository node identifier), 1BUxdX4M-H7X8GKRgTjprJS8fjY_Ij1giE82lQlny2kc (Google Drive based on file id)",
"profileMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"provisioning": [
{
"authenticationKey": "<string>",
"entitySync": {
"attributeControls": [
{
"attributeSync": [
"OnCreate"
],
"id": "<string>",
"sourceAttributeName": "<string>",
"sourceEntityType": "Account",
"targetAttributeName": "<string>",
"targetEntityType": "Account"
}
],
"protocol": "AD",
"protocolControls": [
"Create"
]
},
"syncKey": "Oleria Repository Writers",
"syncMethod": "ApplicationSpecific"
}
],
"sourceTag": "OrgTeams",
"globalAuthenticationRequirements": {
"isMFAAuthority": true,
"isSSOBasedMFARequired": false,
"authenticationKeys": [
"XD+NWux+oeqdAa1eUPtNC06g/HtrzM6AbNiZU2MhHSM="
],
"adaptiveAuthenticationMethodSelectionPolicy": [
{
"policy": {
"accountConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"assignedApplicationConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"excludedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"includedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"riskLevel": "Critical"
}
],
"authenticationMethodSelectionPolicy": {
"accountConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"assignedApplicationConditions": {
"context": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"overrides": [
"AllowAdmin"
],
"rootOperator": {
"operator": {
"isArrayGeneratingDynamicValue": true,
"arrayOpKey": {
"keySpecification": {
"parameters": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"type": "Function",
"value": "<string>"
},
"arrayOpType": "In",
"arrayOpValue": {
"values": [
{
"staticConditionValueType": "activity_type",
"staticConditionValueData": "<unknown>"
}
]
}
},
"type": "Array"
}
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"excludedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"includedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"availableAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"enforcedAuthenticationMethods": [
{
"type": "<string>",
"description": "<string>"
}
],
"passwordPolicy": {
"expirationLengthInDays": 123,
"length": 123,
"reuseDisallowed": true,
"resetViaSelfServiceAllowed": true,
"characters": [
"AlphaUppercase"
],
"mfaRequirements": "Required",
"policyMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
},
"secondaryFactorRequirements": "Required",
"ssoExclusions": [
"user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)"
]
},
"globalAuthorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"globalCreatedBy": "<string>",
"globalDirectoryEntryId": "<string>",
"globalDirectoryProviderId": "<string>",
"globalLastModifiedBy": "<string>",
"globalObjectDirectoryContainerId": "<string>",
"globalProfileMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
],
"enrichedDataClassifications": [
{
"businessImpact": "MissionCritical",
"compliance": [
"CCPA"
],
"customerImpact": "MissionCritical",
"dataSensitivity": "TopSecret",
"description": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"enrichedNormalizedEmail": "<string>",
"analyticsAccessToResourceInstancesCount": 123,
"analyticsActiveMemberCount": 123,
"analyticsAssignedApplicationCount": 123,
"analyticsAssignedRoleCount": 123,
"analyticsDataLabelsCount": 123,
"analyticsInactiveMemberCount": 123,
"analyticsMemberAccountsCount": 123,
"analyticsMemberCount": 123,
"analyticsUtilizationPercentage": 123,
"analyticsOwners": [
"<string>"
],
"analyticsOwnerCount": 123,
"sorPrimaryStewardEmail": "<string>"
}{
"code": "BAD_REQUEST",
"message": "The request was malformed."
}{
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication token."
}{
"code": "FORBIDDEN",
"message": "The token lacks the required scope."
}{
"code": "NOT_FOUND",
"message": "No resource with the given id."
}{
"code": "TOO_MANY_REQUESTS",
"message": "Rate limit exceeded. Retry after the specified interval."
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred."
}Get
Returns a user group by its global id. Requires the https://devx.{environment}.oleria.io/read scope.
Authorizations
OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.
Path Parameters
Global id of the user group.
Response
The user group.
An Oleria UserGroup object represents a group in an enterprise SaaS application, identity provider, or directory service e.g. Okta, PingOne, ActiveDirectory, GitHub, Salesforce, or ServiceNow
This is an application-specific string indicating the type of group being represented by the UserGroup object. Typically this is the information used to derive the UserGroupType specified in the UserGroup.type field
"EmailDistributionList"
An identifier (unique to the integrated or assigned application) for a UserGroup object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations
"team:T_kgDOLL0doQ (GitHub), 37d284db-1d76-4587-aa78-5a33cfcc021f:member (SharePoint)"
The name (title) of the group which is typically informative of the group's purpose for granting access to resources (see also description)
1"AI Maintainers"
The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data
Show child attributes
Show child attributes
The following group types are supported:
- Built-in groups are used to represent system-defined groups that can be leveraged by the application administrator to give access to resources via roles and permissions assigned to the group. Account membership in built-in groups is typically explicit
- Custom groups are created by administrators or users (with appropriate privilege) to give access to resources via roles and permissions assigned to the group. Account membership in custom groups is typically explicit
- Dynamic groups are created by administrators or users (with appropriate privilege) where membership in the group is dynamic and based on a defined set of attributes evaluated either periodically or at access control evaluation
- Modeled groups are an Oleria representation of an RBAC group like concept in the application typically used to represent concept like Everyone
- Sync groups are synchronized between an identity provider and enterprise application (or directory)
Built-in, Custom, Dynamic, Modeled, Sync "Custom"
object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated
Show child attributes
Show child attributes
AuthenticationRequirements are used to specify authentication requirement configuration for Oleria integrated applications as described by their corresponding IntegratedApplication object
Show child attributes
Show child attributes
AuthorizedLocationPolicy is used to specify locations authorized for use by accounts, groups, roles, employees, departments, etc.
Show child attributes
Show child attributes
An identifier (unique to integrated application) for an Account object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations
"user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)"
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
The date the group was created
"2024-05-02T03:17:34.948Z"
The description of the group
"AI Maintainers"
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
The directoryEntryId is emitted when this UserGroup object is synced with an UserGroup object emitted by a directory. The id here should match the synced UserGroup.id
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
The directoryProviderId indicates the DirectoryProvider defining the directory sync relationship for this group
The email address associated with the group
"ai-maintainers@oleria.com"
Label tags associated with the group, particularly when used for data classification and sensitivity targeting
Show child attributes
Show child attributes
An identifier (unique to integrated application) for an Account object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations
"user:U_kgDOB7P6Rg (GitHub based on node identifier), 838439349399 (Google Workspace based on user id), user:wiz-inc-4db1c46901 (GitHub based on app slug)"
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
The date the group was last modified
"2024-05-02T03:17:34.948Z"
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
An identifier (unique to the integrated application) for a ObjectDirectory object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations
"repo:R_kgDOLL0doQ (GitHub based on repository node identifier), 1BUxdX4M-H7X8GKRgTjprJS8fjY_Ij1giE82lQlny2kc (Google Drive based on file id)"
An array of profile key-value pairs extending the schema of the UserGroup object
Show child attributes
Show child attributes
An array detailing all participants in a provisioning relationship with this UserGroup
Show child attributes
Show child attributes
An application-specific tag representing the group information data source
"OrgTeams"
AuthenticationRequirements are used to specify authentication requirement configuration for Oleria integrated applications as described by their corresponding IntegratedApplication object
Show child attributes
Show child attributes
AuthorizedLocationPolicy is used to specify locations authorized for use by accounts, groups, roles, employees, departments, etc.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Normalized version of the email found in UserGroup.Email
Cached count of resource instances this user group can access, including nested (Contains) descendants. Values above 1000 may be approximate.

